package mhp.oee.po.gen;

import java.util.Date;

public class ActivityGroupPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_group.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_group.ACTIVITY_GROUP
     *
     * @mbggenerated
     */
    private String activityGroup;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_group.DESCRIPTION
     *
     * @mbggenerated
     */
    private String description;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_group.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_group.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column activity_group.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_group.HANDLE
     *
     * @return the value of activity_group.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_group.HANDLE
     *
     * @param handle the value for activity_group.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_group.ACTIVITY_GROUP
     *
     * @return the value of activity_group.ACTIVITY_GROUP
     *
     * @mbggenerated
     */
    public String getActivityGroup() {
        return activityGroup;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_group.ACTIVITY_GROUP
     *
     * @param activityGroup the value for activity_group.ACTIVITY_GROUP
     *
     * @mbggenerated
     */
    public void setActivityGroup(String activityGroup) {
        this.activityGroup = activityGroup == null ? null : activityGroup.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_group.DESCRIPTION
     *
     * @return the value of activity_group.DESCRIPTION
     *
     * @mbggenerated
     */
    public String getDescription() {
        return description;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_group.DESCRIPTION
     *
     * @param description the value for activity_group.DESCRIPTION
     *
     * @mbggenerated
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_group.CREATED_DATE_TIME
     *
     * @return the value of activity_group.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_group.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for activity_group.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_group.MODIFIED_DATE_TIME
     *
     * @return the value of activity_group.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_group.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for activity_group.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column activity_group.MODIFIED_USER
     *
     * @return the value of activity_group.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column activity_group.MODIFIED_USER
     *
     * @param modifiedUser the value for activity_group.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}